AmbiguousOptionException
Date: 2017-04-22

org.apache.commons.cli

## Class AmbiguousOptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException
      - - org.apache.commons.cli.UnrecognizedOptionException
        - - org.apache.commons.cli.AmbiguousOptionException

- All Implemented Interfaces:
    java.io.Serializable

      public class AmbiguousOptionException
      extends UnrecognizedOptionException

  Exception thrown when an option can't be identified from a partial name.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmbiguousOptionException(java.lang.String option, java.util.Collection<java.lang.String> matchingOptions)` Constructs a new AmbiguousOptionException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<java.lang.String>` | `getMatchingOptions()` Returns the options matching the partial name.

    - ### Methods inherited from class org.apache.commons.cli.UnrecognizedOptionException

      `getOption`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AmbiguousOptionException

          public AmbiguousOptionException(java.lang.String option,
                                  java.util.Collection<java.lang.String> matchingOptions)

      Constructs a new AmbiguousOptionException.
      Parameters:
        `option` - the partial option name
        `matchingOptions` - the options matching the name

  - ### Method Detail

    - #### getMatchingOptions

          public java.util.Collection<java.lang.String> getMatchingOptions()

      Returns the options matching the partial name.
      Returns:
        a collection of options matching the name